GET /v1/objects/external-volumes/< id >

Virtual Storage Platform One SDS Cloud for Microsoft Azure Data Migration

Version
1.18.x
Audience
anonymous
Part Number
MK-24VSP1SDS032-02

Required role: Storage or Resource

DESCRIPTION

Obtains information about an external volume.

REQUEST PARAMETERS

Name

Description

Type

Data type

id

The ID of the external volume.

path

string (uuid) required

REQUEST EXAMPLE

The following example shows how a REST API is executed by using curl for VSP One SDS Block at IP address 192.168.1.100 with the username as admin and the password as password.

curl -u admin:password -i -X GET https://192.168.1.100/ConfigurationManager/simple/v1/objects/external-volumes/d0e4215e-e695-454f-b96f-9b02ba5d21b5
HTTP/1.1 200 OK
X-Frame-Options: SAMEORIGIN
Strict-Transport-Security: max-age=31536000; includeSubDomains
X-XSS-Protection: 1; mode=block
X-Content-Type-Options: nosniff
Cache-Control: private, no-store, no-cache, must-revalidate
Content-Security-Policy: default-src 'self'; style-src 'self' 'unsafe-inline';
Access-Control-Allow-Methods: GET, POST, DELETE, PATCH
Access-Control-Allow-Headers: Content-Type
Content-Type: application/json
Content-Length: 377
Date: Fri, 30 Jul 2021 07:55:53 GMT

{"id":"0bc111a5-e469-4bbb-9e39-e639fc299620","volumeId":"e474993d-1263-4666-9cea-9ebcb655f4ad","vendorName":"Msft","modelName":"Virtual Disk","wwid":"5e2baa31-95d6-4614-b354-e40352375d2f","totalCapacity":512000,"externalVolumePaths":[{"storageNodeId":"5f1bc9b9-9e69-44f7-98ff-b29cb1e0765a","status":"Normal"}],"dataMigration":null,"serialNumber":"cluster-initiatornode-disk-1"}

RESPONSES

Uses default content-types: application/json

200 OK
Indicates that the request was processed correctly. This status code is also returned when the deletion request was executed successfully.
400 Bad Request
Indicates that the request header, query parameter, and request body are incorrect.
401 Unauthorized
Indicates that no Authorization header is specified for the request header, authentication using the information specified for the Authorization header was unsuccessful, or authentication using a parameter was unsuccessful.

Header

Description

Data type

WWW-Authenticate

Indicates that authentication is required.

  • When basic authentication was unsuccessful including session creation failures: Basic realm="Block storage"

  • When session authentication was unsuccessful: Session realm="Block storage"

string

403 Forbidden
Indicates that you are not authorized to perform the operation.
404 Not Found
Indicates that the resource specified by the URL was not found, or you are not authorized to see the resource.
406 Not Acceptable
Indicates that an unsupported media type was specified for the Accept header.
413 Request Entity Too Large
Indicates that the size of the request body exceeds the acceptable upper limit.
417 Expectation Failed
Indicates that the Expect header is specified incorrectly, or the REST server does not support the Expect header.
431 Request Header Fields Too Large
Indicates that the size of the request header exceeds the acceptable upper limit.
500 Internal Server Error
Indicates that an internal error occurred on the REST server or in the target storage cluster.
502 Bad Gateway
Indicates that an internal error occurred on the REST server.
503 Service Unavailable
Indicates that the request cannot be received because the REST server or the target storage cluster is busy. This is a temporary problem, and the request might be processed normally if it is executed again after a while.
504 Gateway Timeout
Indicates that the REST server did not respond.

Authentication schemes

  • basic authentication

  • session authentication